For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Connection Types
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • GETGet Connection
      • DELDelete Connection
      • PATCHUpdate Connection
      • GETConnection Parameter Values
      • GETGet Connection Source
      • POSTConnection Field Query
      • GETGet Connection Target
      • POSTGet Connection Target Fields
      • POSTCreate Shared Connection
      • GETList Shared Connections
Logo
Log inBook a demo
API ReferenceConnections

List Shared Connections

GET
https://app.polytomic.com/api/connections/:parent_connection_id/shared
GET
/api/connections/:parent_connection_id/shared
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/shared \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": [
3 {
4 "api_calls_last_24_hours": 2021,
5 "configuration": {
6 "database": "example",
7 "hostname": "postgres.example.com",
8 "password": "********",
9 "port": 5432,
10 "username": "user"
11 },
12 "created_at": "2024-01-15T09:30:00Z",
13 "created_by": {
14 "id": "12345678-1234-1234-1234-123456789012",
15 "name": "John Doe",
16 "type": "user"
17 },
18 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
19 "name": "My Postgres Connection",
20 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
21 "parent_connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
22 "policies": [
23 "248df4b7-aa70-47b8-a036-33ac447e668d"
24 ],
25 "saved": true,
26 "status": "healthy",
27 "status_error": "error message",
28 "type": {
29 "id": "postgresql",
30 "logo_url": "https://connect-assets.polytomic.com/logos/postgresql.svg",
31 "name": "PostgreSQL",
32 "operations": [
33 "bulksyncsource"
34 ]
35 },
36 "updated_at": "2024-01-15T09:30:00Z",
37 "updated_by": {
38 "id": "12345678-1234-1234-1234-123456789012",
39 "name": "John Doe",
40 "type": "user"
41 }
42 }
43 ]
44}
Lists shared copies of a connection.
Was this page helpful?
Previous

Get Schema Records

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

parent_connection_idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Response

OK
datalist of objects or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error